Change a participant's ticket
PUT
/manage/events/:eventId/entries/:entryId/ticketChange the ticket type attached to a registration. No payment or refund of the price difference is performed. Requires the participantsWrite permission.
| Auth | Login required |
|---|
Path parameters
eventIdstringrequiredEvent ID or slug.
entryIdstringrequiredEntry ID.
Request body
ticketIdstringrequiredThe new ticket ID (required); must belong to the same event.
Notes
`email` is removed for OAuth access tokens, but other participant profile data such as birthDate, gender, location and organization memberships is returned as-is.
Request
curl https://api.4s.link/manage/events/EVENT_ID/entries/ENTRY_ID/ticket \-X PUT \-H "Authorization: Bearer 4s_at_..." \-H "Content-Type: application/json" \-d '{"ticketId": "t2b3c4d5-..."}'
Example response
{"entry": {"id": "en1a2b3-...","ticket": { "id": "t2b3c4d5-...", "name": "VIP チケット" }}}